Bug 799477 - Ran out of file descriptors creating GWakeup pipes
Ran out of file descriptors creating GWakeup pipes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:cd3150a490245e57bb3d1b16a5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 12:39 EST by battleman2004
Modified: 2013-08-01 02:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.50 KB, text/plain)
2012-03-02 12:39 EST, battleman2004
no flags Details
File: maps (90.53 KB, text/plain)
2012-03-02 12:39 EST, battleman2004
no flags Details
File: dso_list (23.19 KB, text/plain)
2012-03-02 12:39 EST, battleman2004
no flags Details
File: build_ids (7.05 KB, text/plain)
2012-03-02 12:39 EST, battleman2004
no flags Details
File: var_log_messages (13.47 KB, text/plain)
2012-03-02 12:39 EST, battleman2004
no flags Details
File: backtrace (60.71 KB, text/plain)
2012-03-03 15:17 EST, battleman2004
no flags Details
File: backtrace (74.21 KB, text/plain)
2012-03-11 11:07 EDT, battleman2004
no flags Details

  None (edit)
Description battleman2004 2012-03-02 12:39:14 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_logv
executable:     /usr/bin/gnome-shell
kernel:         3.3.0-0.rc4.git1.4.fc17.x86_64
pid:            3897
pwd:            /home/jakob
reason:         Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
time:           Fr 02 Mär 2012 16:09:04 CET
uid:            1000
username:       jakob

backtrace:      Text file, 66043 bytes
build_ids:      Text file, 7216 bytes
dso_list:       Text file, 23744 bytes
maps:           Text file, 92707 bytes
var_log_messages: Text file, 13792 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=7
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/zsh
:GNOME_KEYRING_CONTROL=/tmp/keyring-L1QtOu
:IMSETTINGS_MODULE=none
:USER=jakob
:USERNAME=jakob
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/jakob/bin:/usr/local/sbin:/usr/sbin
:QT_IM_MODULE=xim
:PWD=/home/jakob
:XMODIFIERS=@im=none
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=3705
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:SHLVL=0
:HOME=/home/jakob
:XDG_SEAT=seat0
:LOGNAME=jakob
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CKBQu9NhfZ,guid=74a14417d6e0e96566e932a1000018d9
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/jakob
:XAUTHORITY=/var/run/gdm/auth-for-jakob-CJlMlP/database
:OLDPWD=/home/jakob
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/jakob
:HOSTNAME=T400s
:HISTSIZE=1000
:CCACHE_HASHDIR=
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3707,unix/unix:/tmp/.ICE-unix/3707
:GPG_AGENT_INFO=/tmp/keyring-L1QtOu/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-L1QtOu/ssh
:DESKTOP_AUTOSTART_ID=1087da8267f84bba00133070092565811700000037070000

event_log:
:2012-03-02-18:37:27> Analyzing coredump 'coredump'
:2012-03-02-18:37:42  Coredump references 176 debuginfo files, 16 of them are not installed
:2012-03-02-18:37:42  Setting up yum repositories
:2012-03-02-18:37:52  Nach erforderlichen Paketen in den Softwarebeständen wird gesucht
:2012-03-02-18:38:12  Can't find packages for 14 debuginfo files
:2012-03-02-18:38:12  Packages to download: 1
:2012-03-02-18:38:17  Downloading 3.52Mb, installed size: 18.11Mb. Continue? YES
:2012-03-02-18:38:22  Downloading (1 of 1) openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm:  23
:2012-03-02-18:38:28  Downloading (1 of 1) openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm:  51
:2012-03-02-18:38:33  Downloading (1 of 1) openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm:  76
:2012-03-02-18:38:37  Downloading (1 of 1) openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm: 100
:2012-03-02-18:38:37  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-03-02-18:37:33.25816/openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm
:2012-03-02-18:38:38  Caching files from unpacked.cpio made from openssl-debuginfo-1.0.0g-4.fc17.x86_64.rpm
:2012-03-02-18:38:39  Removing /tmp/abrt-tmp-debuginfo-2012-03-02-18:37:33.25816
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/7b/680891fa70bdc7aa8f3d97780c6ac8d79931d4.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/7e/b10e81cf49360e21889663eb0672cdfa03bf12.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/fe/2a1dce912709473d54d14d049d32de3d1f14a1.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/0d/88c7701c0c2fe8c522d3bacad54fa47e11f110.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/86/35a2cc919f0c6c161529b0dcba5fe100fd3ca3.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/03/b646c3492315ad8bac5899e00f18d5623af1ac.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/b9/2deed11b65ba4f876916916e1223380eecb1f5.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/77/89e36cf95e5b804e2c3f312b0cf0743b16f39d.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/10/2eccc582682904640c97b6766849ac4a9ddf47.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/17/5ee6f34d6382bb75ef530a8143d95433ec1324.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/7d/c5e34d73ccceb61986d3fd3d74e9ff9d030828.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/f2/8143a2ec2dfdfee6649a3b5be8e60f68dc2917.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/a2/7e5deb48bee4e355b3a842fe3bb75465aca1b3.debug
:2012-03-02-18:38:39  Missing debuginfo file: /usr/lib/debug/.build-id/53/6441c5851acb88051b8e61a168ec2ffce8e945.debug
:2012-03-02-18:38:39  Generating backtrace
:2012-03-02-18:38:45  Backtrace is generated and saved, 66043 bytes
:2012-03-02-18:38:57> Element 'xsession_errors' saved
:2012-03-02-18:38:57> GConf directory /apps/gnome-shell does not exist
:2012-03-02-18:38:57* (exited with 1)
:2012-03-02-18:38:58> Smolt profile successfully saved

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 78bf6da9-c722-48ca-b5a0-c1e943afa13f
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4788.02
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM)2 Duo CPU     P9400  @ 2.40GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2401
:Systemspeicher: 7861
:System-Swap: 9919
:Anbieter: LENOVO
:System: 2808D9G ThinkPad T400s
:Form-Faktor: Notebook
:Kernel: 3.3.0-0.rc4.git1.4.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10816:6058:8416) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:6058:8441) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:6058:8440) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:6058:8437) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:6058:8430) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:9288:6058:8436) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16950:32902:4369) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:10818:6058:8420) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:6058:8420) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:6058:8422) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10558:6058:8434) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_t400s-lv_root / ext4 4096 4096 13081819 9830316 9174956 3276800 3002661 3002661
:/dev/sda2 /boot ext4 1024 1024 508745 407426 381826 128016 127789 127789
:/dev/mapper/vg_t400s-lv_home /home ext4 4096 4096 15446902 7806497 7032763 3874816 3626291 3626291
:

xsession_errors:
:gnome-shell-calendar-server[4040]: Got HUP on stdin - exiting
:gnome-session[3707]: WARNING: Application 'gnome-shell.desktop' killed by signal
Comment 1 battleman2004 2012-03-02 12:39:21 EST
Created attachment 567116 [details]
File: backtrace
Comment 2 battleman2004 2012-03-02 12:39:28 EST
Created attachment 567117 [details]
File: maps
Comment 3 battleman2004 2012-03-02 12:39:32 EST
Created attachment 567118 [details]
File: dso_list
Comment 4 battleman2004 2012-03-02 12:39:34 EST
Created attachment 567119 [details]
File: build_ids
Comment 5 battleman2004 2012-03-02 12:39:37 EST
Created attachment 567120 [details]
File: var_log_messages
Comment 6 battleman2004 2012-03-03 15:17:35 EST
right after start

backtrace_rating: 4
Package: gnome-shell-3.3.90-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 battleman2004 2012-03-03 15:17:39 EST
Created attachment 567332 [details]
File: backtrace
Comment 8 battleman2004 2012-03-11 11:07:05 EDT
Right after start

backtrace_rating: 4
Package: gnome-shell-3.3.90-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 battleman2004 2012-03-11 11:07:12 EDT
Created attachment 569184 [details]
File: backtrace
Comment 10 Owen Taylor 2012-03-27 15:33:45 EDT
This crash is a symptom of a file descriptor leak. It's odd that it is happening to you repeatedly and not obviously happening to other people. Are you using any GNOME Shell extensions?
Comment 11 Ray Strode [halfline] 2012-03-27 15:40:12 EDT
also, what's the output of

ls -1 /home/jakob/.cache/folks/avatars | wc -l 

?
Comment 12 Ray Strode [halfline] 2012-03-27 15:47:55 EDT
hmm syslog output in attachment  567120 [details] shows

1) there are quite a few extensions installed
2) this (or at least some sort of) crash is happening at the login screen too
3) a yum update was in progress
Comment 13 battleman2004 2012-04-19 17:35:36 EDT
right after start

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 battleman2004 2012-05-20 12:16:34 EDT
Right after start.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Fedora End Of Life 2013-07-03 21:42:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 02:26:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.